libgnutls-openssl27_3.4.10-4ubuntu1_amd64.deb


Advertisement

Description

libgnutls-openssl27 - GNU TLS library - OpenSSL wrapper

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libgnutls-openssl27_3.4.10-4ubuntu1_amd64.deb
Package name libgnutls-openssl27
Package version 3.4.10
Package release 4ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage http://www.gnutls.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 21.57 KB
Installed size 98.00 KB
GnuTLS is a portable library which implements the Transport Layer
Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
Transport Layer Security (DTLS 1.0, 1.2) protocols.
GnuTLS features support for:
- TLS extensions: server name indication, max record size, opaque PRF
input, etc.
- authentication using the SRP protocol.
- authentication using both X.509 certificates and OpenPGP keys.
- TLS Pre-Shared-Keys (PSK) extension.
- Inner Application (TLS/IA) extension.
- X.509 and OpenPGP certificate handling.
- X.509 Proxy Certificates (RFC 3820).
- all the strong encryption algorithms (including SHA-256/384/512 and
Camellia (RFC 4132)).
This package contains the runtime library of the GnuTLS OpenSSL wrapper.

Alternatives

Package Version Architecture Repository
libgnutls-openssl27_3.4.10-4ubuntu1.5_i386.deb 3.4.10 i386 Ubuntu Updates Main
libgnutls-openssl27_3.4.10-4ubuntu1.5_amd64.deb 3.4.10 amd64 Ubuntu Updates Main
libgnutls-openssl27_3.4.10-4ubuntu1_i386.deb 3.4.10 i386 Ubuntu Main
libgnutls-openssl27 - - -

Requires

Name Value
libc6 >= 2.14
libgnutls30 = 3.4.10-4ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgnutls-openssl27_3.4.10-4ubuntu1_amd64.deb
Source Package gnutls28

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgnutls-openssl27 deb package:
    # sudo apt-get install libgnutls-openssl27

Files

Path
/usr/lib/x86_64-linux-gnu/libgnutls-openssl.so.27
/usr/lib/x86_64-linux-gnu/libgnutls-openssl.so.27.0.2
/usr/share/doc/libgnutls-openssl27/changelog.Debian.gz
/usr/share/doc/libgnutls-openssl27/copyright

Changelog

2016-03-21 - Matthias Klose <doko@ubuntu.com>
gnutls28 (3.4.10-4ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Make gnutls28 default.
- debian/patches/disable_global_init_override_test.patch: disable failing
test.
2016-03-17 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.10-4) unstable; urgency=medium
* 43_fix_cpucapoverride.diff by Nikos Mavrogiannopoulos: Fix
GNUTLS_CPUID_OVERRIDE function, stopping it from enabling SSE3 when it is
unavailable. Closes: #818341
2016-03-14 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.10-3) unstable; urgency=medium
* Upload to unstable.
2016-03-07 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.10-2) experimental; urgency=medium
* Simplify override_dh_auto_test target. (Thanks, Steven Chamberlain)
* Add debian/patches/42_mini-loss-time-improved-timeout-detection.patch,
another try for Closes: #813598
2016-03-05 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.10-1) experimental; urgency=medium
* Pull 40_src-added-systemkey-args-to-BUILT_SOURCES.patch from upstream GIT
master to fix FTBFS with parallel builds. Closes: #816148
* New upstream version.
* Pull 41_tests-mini-loss-time-ensure-client-timeouts.diff from upstream
master branch to fix occasional testsuite error. Closes: #813598
2016-02-17 - Matthias Klose <doko@ubuntu.com>
gnutls28 (3.4.9-2ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Make gnutls28 default.
- debian/patches/disable_global_init_override_test.patch: disable failing
test.
2016-02-07 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.9-2) unstable; urgency=medium
* Upload to unstable.
2016-02-06 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.9-1) experimental; urgency=medium
* New upstream version.
* Drop 35_Revert-Fix-out-of-bounds-read-in-gnutls_x509_ext_exp.patch and
36_Revert-tests-updated-to-account-for-cert-generation.patch.
2016-01-31 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.8-3) unstable; urgency=medium
* Pull 35_Revert-Fix-out-of-bounds-read-in-gnutls_x509_ext_exp.patch and
36_Revert-tests-updated-to-account-for-cert-generation.patch
from upstream GIT. Closes: #813243
2016-01-21 - Andreas Metzler <ametzler@debian.org>
gnutls28 (3.4.8-2) unstable; urgency=medium
* Merge master branch into experimental.
+ Drop ancient Conflicts/Replaces: gnutls0, gnutls0.4.
+ libgnutls-deb0-28 temporarily Conflicts with libnettle4, libhogweed2.
This is a kludge and technically wrong, but will prevent partial
upgrades from stable. See: #788735
* Upload to unstable.

See Also

Package Description
libgnutls28-dev_3.4.10-4ubuntu1_amd64.deb dummy transitional package for GNU TLS library - development files
libgnutls30_3.4.10-4ubuntu1_amd64.deb GNU TLS library - main runtime library
libgnutlsxx28_3.4.10-4ubuntu1_amd64.deb GNU TLS library - C++ runtime library
libgo7_5.3.1-14ubuntu2_amd64.deb Runtime library for GNU Go applications
libgo9_6.0.1-0ubuntu1_amd64.deb Runtime library for GNU Go applications
libgoa-1.0-0b_3.18.3-1ubuntu2_amd64.deb library for GNOME Online Accounts
libgoa-1.0-common_3.18.3-1ubuntu2_all.deb library for GNOME Online Accounts - common files
libgoa-1.0-dev_3.18.3-1ubuntu2_amd64.deb library for GNOME Online Accounts - development files
libgoa-1.0-doc_3.18.3-1ubuntu2_all.deb library for GNOME Online Accounts - documentation files
libgoa-backend-1.0-1_3.18.3-1ubuntu2_amd64.deb backend library for GNOME Online Accounts
libgoa-backend-1.0-dev_3.18.3-1ubuntu2_amd64.deb backend library for GNOME Online Accounts - development files
libgom-1.0-0_0.3.1-1_amd64.deb Object mapper from GObjects to SQLite
libgom-1.0-common_0.3.1-1_all.deb libgom architecture-independent files
libgom-1.0-dev_0.3.1-1_amd64.deb libgom development files
libgom-1.0-doc_0.3.1-1_all.deb libgom API documentation
Advertisement
Advertisement